export interface AlertAction {
    text?: string;
    onPress?: () => void | Promise<void>;
    style?: 'default' | 'cancel' | 'destructive';
}
export interface ConfirmActions {
    positive?: {
        text?: string;
        onPress?: () => void | Promise<void>;
        style?: 'default' | 'cancel' | 'destructive';
    };
    negative?: {
        text?: string;
        onPress?: () => void | Promise<void>;
    };
}
export interface ChooseActions {
    options: Array<{
        text?: string;
        onPress?: () => void | Promise<void>;
        style?: 'default' | 'cancel' | 'destructive';
    }>;
    cancel?: {
        text?: string;
    };
}
declare const _default: {
    alert: (title: string, message?: string | null | undefined, action?: AlertAction | undefined) => void;
    confirm: (title: string, message?: string | null | undefined, actions?: ConfirmActions | undefined) => void;
    choose: (title: string, message?: string | null | undefined, actions?: ChooseActions | undefined) => void;
};
export default _default;
