import { Alert } from 'react-native';
const alert = (title, message, action) => {
    Alert.alert(title, message || undefined, action ? [action] : undefined, { cancelable: false });
};
const confirm = (title, message, actions) => {
    const { positive, negative } = actions || {};
    Alert.alert(title, message || undefined, [
        {
            text: negative?.text,
            onPress: negative?.onPress,
            style: 'cancel',
        },
        {
            text: positive?.text,
            onPress: positive?.onPress,
            style: positive?.style,
        },
    ], { cancelable: false });
};
const choose = (title, message, actions) => {
    const { options = [], cancel } = actions || {};
    const buttons = cancel
        ? [
            {
                text: cancel?.text,
                onPress: () => {
                    /* do nothing */
                },
                style: 'cancel',
            },
        ]
        : [];
    Alert.alert(title, message || undefined, [...buttons, ...options], { cancelable: false });
};
export default {
    alert,
    confirm,
    choose,
};
