import React from 'react';
import { StyleSheet, View, Text } from 'react-native';
import { useOverride, useMemoStyles } from '@react-native-cask-ui/theme';
const defaultStyles = StyleSheet.create({
    root: {
        flexDirection: 'row',
    },
    badge: {
        borderRadius: 24,
        paddingVertical: 4,
        paddingHorizontal: 10,
    },
    text: {
        fontSize: 14,
        lineHeight: 19,
        fontWeight: 'bold',
    },
});
const Badge = React.memo(props => {
    const { props: overridedProps, styles } = useOverride('Badge', props);
    const { color, children } = overridedProps;
    const finalStyle = useMemoStyles([defaultStyles.root, styles.root]);
    const finalBadgeStyle = useMemoStyles([defaultStyles.badge, styles.badge, color ? { backgroundColor: color } : null]);
    const finalTextStyle = useMemoStyles([defaultStyles.text, styles.text]);
    return (<View style={finalStyle}>
      <View style={finalBadgeStyle}>
        <Text style={finalTextStyle}>{children}</Text>
      </View>
    </View>);
});
export default Badge;
