import React, { ReactNode } from 'react';
import { TouchableOpacityProps } from 'react-native';
import { $Diff } from 'utility-types';
export interface ButtonProps extends $Diff<TouchableOpacityProps, {
    style?: unknown;
    children?: unknown;
}> {
    /**
     * The variant to use.
     */
    variant?: string;
    /**
     * The icon beside the button title. Usually be placed on the left side.
     */
    icon?: ReactNode;
    /**
     * The text content of the button.
     */
    title?: string;
    /**
     * If `true`, the buton is disabled.
     */
    disabled?: boolean;
}
declare const Button: React.FC<ButtonProps>;
export default Button;
