import React, { ReactNode, ComponentType } from 'react';
import { GestureResponderEvent, KeyboardTypeOptions } from 'react-native';
import { TColor } from '@react-native-cask-ui/theme';
declare type ItemType = 'default' | 'button' | 'input';
export declare type AccessoryType = 'none' | 'disclosureIndicator' | 'checkmark' | 'placeholder';
export declare type ListItemProps = {
    variant?: string;
    onPress?: (e: GestureResponderEvent, extra: any) => void;
    disabled?: boolean;
    children?: ReactNode;
    icon?: ReactNode;
    iconView?: ComponentType<unknown>;
    itemType?: ItemType;
    text?: string;
    detailText?: string;
    placeholder?: string;
    inputUnit?: string;
    keyboardType?: KeyboardTypeOptions;
    value?: any;
    onValueChange?: (value: string | boolean) => void;
    accessoryType?: AccessoryType;
    accessoryIconColor?: TColor;
    allowsSelection?: boolean;
    loading?: boolean;
    loadingView?: ReactNode;
    extra?: any;
};
declare const ListItem: React.NamedExoticComponent<ListItemProps>;
export default ListItem;
