import React, { ReactNode } from 'react';
import { TextProps as OriginTextProps } from 'react-native';
import { $Diff } from 'utility-types';
export interface TextProps extends $Diff<OriginTextProps, {
    style?: unknown;
}> {
    /**
     * The variant to use.
     */
    variant?: string;
    /**
     * The text alignment.
     */
    textAlign?: 'left' | 'center' | 'right';
    /**
     * The text to display or nested Text components.
     */
    children: ReactNode;
}
declare const Text: React.FC<TextProps>;
export default Text;
